// 分公司特殊组件页面注册
import Vue from 'vue'

export default function () {
  // 表具查询
  Vue.component('meter-query', (resolve) => { require(['./MeterQuery'], resolve) })
  Vue.component('arrears-query', (resolve) => { require(['./ArrearsQuery'], resolve) })
  Vue.component('charge-query', (resolve) => { require(['./ChargeQuery'], resolve) })
  Vue.component('record-info-query', (resolve) => { require(['./RecordInfoQuery'], resolve) })
  Vue.component('report-list', (resolve) => { require(['./reportList'], resolve) })
  // Vue.component('hand-gas-properties-query', (resolve) => { require(['./HandGasPropertiesQuery'], resolve) })
  // 机表抄表查询
  Vue.component('handplan-query', (resolve) => { require(['./HandplanQuery'], resolve) })
  // 机表抄表环比查询
  Vue.component('handplan-ratio-query', (resolve) => { require(['./HandplanRatioQuery.vue'], resolve) })
  // 机表抄表查询
  Vue.component('webhandplan-ratio-query', (resolve) => { require(['./WebHandplanRatioQuery.vue'], resolve) })
  // 换表查询
  Vue.component('change-meter-query', (resolve) => {
    require(['./ChangeMeterQuery'], resolve)
  })
}
